summaryrefslogtreecommitdiffstats
path: root/third_party/rust/cast/ci/install.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--third_party/rust/cast/ci/install.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/third_party/rust/cast/ci/install.sh b/third_party/rust/cast/ci/install.sh
new file mode 100644
index 0000000000..9ce7632486
--- /dev/null
+++ b/third_party/rust/cast/ci/install.sh
@@ -0,0 +1,21 @@
+set -ex
+
+main() {
+ curl https://sh.rustup.rs -sSf | \
+ sh -s -- -y --default-toolchain $TRAVIS_RUST_VERSION
+
+ local latest=$(git ls-remote --tags --refs --exit-code https://github.com/japaric/cross \
+ | cut -d/ -f3 \
+ | grep -E '^v[0-9.]+$' \
+ | sort --version-sort \
+ | tail -n1)
+
+ curl -LSfs https://japaric.github.io/trust/install.sh | \
+ sh -s -- \
+ --force \
+ --git japaric/cross \
+ --tag $latest \
+ --target x86_64-unknown-linux-gnu
+}
+
+main